#[macro_use] extern crate diesel;
#[macro_use] extern crate mime;

use env_logger;
use iron::prelude::Iron;

use media_collection_crud::{chain, handlers, db};

fn main() {
	env_logger::init();
	db::establish_connection();

	let port = 8000;
	let bind_addr = format!("localhost:{}", port);

	let mut chain = chain::init();
	let templating_engine = handlers::template_engine().clone();
	chain.link_after(templating_engine);

	let _server_guard = Iron::new(chain)
		.http(bind_addr.as_str())
		.unwrap();
}